Please login or register. December 14, 2018, 09:26:30 AM

Author Topic: dcp_inspect no longer installable  (Read 1213 times)

hdvprojection

  • Full Member
  • ****
  • Posts: 218
    • View Profile
dcp_inspect no longer installable
« on: February 26, 2018, 04:02:29 PM »
Is there any way to update the setup tool for installing dcp_inspect? This is what I get on a fresh install of Xubuntu 17.10:

Code: [Select]
Package libpng12-dev is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'libpng12-dev' has no installation candidate
apt-get: Failed to install basic requirements

hdvprojection

  • Full Member
  • ****
  • Posts: 218
    • View Profile
Re: dcp_inspect no longer installable
« Reply #1 on: February 26, 2018, 09:11:34 PM »
OK, this post helped me figure it out:
https://askubuntu.com/questions/966757/libpng12-needed-for-17-10
I believe I had to mess around with the wget and dpkg commands a bit in order to get, specifically, the 'libpng12-dev' package.

I did get some (evidently minor) error when I ran "digital-cinema-tools-setup" afterwards, something about a certain jpeg2000 tool that was not available. But the inspection tool appears to be working without it.

hdvprojection

  • Full Member
  • ****
  • Posts: 218
    • View Profile
Re: dcp_inspect no longer installable
« Reply #2 on: October 16, 2018, 05:00:29 PM »
Just following up on this. Does anyone know why openjpeg would not be downloading and installing when I update digital cinema tools?

Code: [Select]
...
There were errors:
Error: openjpeg: Failed to download tarball. Try again later
Error: Failed to extract tarball at /home/ricardo/.digital_cinema_tools/.lib/openjpeg

digital-cinema-tools-setup: Done

dcinemaforum.com

Re: dcp_inspect no longer installable
« Reply #2 on: October 16, 2018, 05:00:29 PM »